<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

function classic_construction_theme_setup(){

    // Make theme available for translation.
    load_theme_textdomain( 'classic-construction', get_stylesheet_directory_uri() . '/languages' );
    

    add_theme_support( 'custom-header', apply_filters( 'consted_custom_header_args', array(
        'default-image' => get_stylesheet_directory_uri() . '/image/custom-header.png',
        'default-text-color'     => '000000',
        'width'                  => 1000,
        'height'                 => 350,
        'flex-height'            => true,
        'wp-head-callback'       => 'consted_header_style',
    ) ) );
    
    register_default_headers( array(
        'default-image' => array(
        'url' => '%s/image/custom-header.png',
        'thumbnail_url' => '%s/image/custom-header.png',
        'description' => esc_html__( 'Default Header Image', 'classic-construction' ),
        ),
    ));

}
add_action( 'after_setup_theme', 'classic_construction_theme_setup' );

if ( !function_exists( 'classic_construction_parent_css' ) ):
    function classic_construction_parent_css() {

        wp_enqueue_style( 'chld_thm_cfg_parent', trailingslashit( get_template_directory_uri() ) . 'style.css', array('consted-google-fonts','font-awesome','animate-2','icofont','bootstrap','consted-core-style') );

    }
endif;
add_action( 'wp_enqueue_scripts', 'classic_construction_parent_css', 10 );

// END ENQUEUE PARENT ACTION


if ( !function_exists( 'classic_construction_default_options' ) ):

function classic_construction_default_options( $defaults ) {

        
        /*Posts Layout*/
     
        $defaults['blog_layout']                     = 'no-sidebar';
        $defaults['single_post_layout']              = 'no-sidebar';
        
        
    return $defaults;
}
add_filter( 'consted_filter_default_theme_options', 'classic_construction_default_options',999 );

endif;

if( !function_exists('classic_construction_disable_from_parent') ):
    add_action('init','classic_construction_disable_from_parent',50);
    function classic_construction_disable_from_parent(){
        
        global $consted_header_layout_class;

        remove_action('consted_shop_site_header', array( $consted_header_layout_class, 'header_wrapping_before' ), 10 );

        remove_action('consted_shop_site_header', array( $consted_header_layout_class, 'header_wrapping_after' ), 99 ); 
    }
endif;

if( !function_exists('header_wrapping_before') ):
    add_action('consted_shop_site_header', 'header_wrapping_before', 10 );
    /*
    * Header section wrapping before
    *
    * @return $html
    */
    function header_wrapping_before(){
        $css = ( empty( get_theme_mod('__topbar_phone') ) && empty(get_theme_mod('__topbar_address')) && empty( get_theme_mod('__topbar_email') )) ? 'remove-topbar' : '';

        echo '<div class="header layout-2 '.esc_attr($css).'"><div class="custom-css">';
    }
endif;
if( !function_exists('header_wrapping_after') ):
    add_action('consted_shop_site_header', 'header_wrapping_after', 99 );
    /*
    * Header section wrapping after
    *
    * @return $html
    */
    function header_wrapping_after(){
        echo '</div></div>';
    }
endif;